OUTPUT_FORMAT(elf32-i386)
OUTPUT_ARCH(i386)
ENTRY(__pcrt_entry)

MEMORY {
  kernel (!a) : ORIGIN = 0x00000000, LENGTH = 0x08000000
  user  (awx) : ORIGIN = 0x08000000, LENGTH = 0xf8000000
}

SECTIONS {
  .__pcrt_before_main : {
    __pcrt_before_main_start = .;
    *(.__pcrt_before_main)
    *(.init_array)
    __pcrt_before_main_end = .;
  }

  .__pcrt_before_quit : {
    __pcrt_before_quit_start = .;
    *(.__pcrt_before_quit)
    __pcrt_before_quit_end = .;
  }
}