OUTPUT_FORMAT(elf32-i386)
OUTPUT_ARCH(i386)

SECTIONS {
  . = 0x00030000;
  .text : {
    */main.ko(.text)
    *(.text)
  }
  .rodata : {
    *(.rodata)
  }
  .data : {
    _kernel_data_start = .;
    *(.data)
    _kernel_data_end = .;
  }
  . = 0x04000000;
  .bss : {
    *(.bss)
    _kernel_bss_end = .;
  }
}